/*--------------------*/
/*  Form Block        */
/*--------------------*/
.form-block {--space: clamp(1.25rem, 0.1974rem + 2.193vw, 2.5rem);}
.form-block > * + * {margin-top: var(--space);}
.form-block > * + .btn {margin-top: 2.5rem;}
.form-block.type-2 {--clr-text: rgba(2, 2, 2, 0.75);}
.form-block.type-2 .input-field {--font-size: clamp(1.75rem, 1.1974rem + 2.193vw, 3rem);--int-height: 4rem;}
.form-block.type-2 .input {--rgb-white: 2,2,2;--clr-white: #020202;}
.form-block.type-2 textarea.input {height: 10rem;}
.form-section .btn-close {display: none;}
/*--------------------*/
/*  Inputs            */
/*--------------------*/
.input-field {--int-height: 4.75rem;--int-pd: 0.625rem;--font-size: clamp(2.25rem, 0.1447rem + 4.386vw, 4.75rem);display: block;position: relative;text-align: left;line-height: 0;font-size: var(--font-size);}
.input {position: relative;z-index: 1;transition: var(--transition-1);height: var(--int-height);border-bottom: 0.125rem solid rgba(var(--rgb-white), 0.75);font-family: var(--ff-2);font-size: var(--font-size);line-height: 1em;font-weight: 400;color: var(--clr-white);text-overflow: ellipsis;text-transform: uppercase;padding-block: 0 var(--int-pd);}
textarea.input {height: 21.25rem;line-height: 1.1em;}
.input-placeholder {position: relative;display: -webkit-box;-webkit-line-clamp: 1;-webkit-box-orient: vertical;overflow: hidden;text-overflow: ellipsis;font-size: var(--text-sm);line-height: 1.06em;font-weight: 400;color: var(--clr-text);text-align: left;margin-bottom: 0.75rem;}
.input-error {position: absolute;z-index: 1;left: 0;bottom: 0;background-color: var(--clr-red);font-size: 0.75rem;line-height: 1em;color: #FFF;text-transform: uppercase;padding: 0.25rem;display: none;}
.input-field.focus {z-index: 5;}
.input-field:where(.focus) .input {border-color: rgba(var(--rgb-white), 1);}
.input-field.invalid:not(.value) .input,
.input-field.invalid-email .input {border-color: var(--clr-red);}
.input-field.invalid:not(.value) .input-error,
.input-field.invalid-email .input-error {display: inline-block;}
@media (max-width: 991px) {
.input-field {--int-height: 2.75rem;--int-pd: 0.375rem;}
textarea.input {height: 11.25rem;}
.input-placeholder {margin-bottom: 0.5rem;}
.input-error {font-size: 0.625rem;}
}
/*--------------------*/
/*  Autofill          */
/*--------------------*/
.input-field.focus .input:not(textarea):-webkit-autofill,
.input-field.value .input:not(textarea):-webkit-autofill,
.input-field.focus .input:not(textarea):-webkit-autofill:hover,
.input-field.value .input:not(textarea):-webkit-autofill:hover,
.input-field.focus .input:not(textarea):-webkit-autofill:focus,
.input-field.value .input:not(textarea):-webkit-autofill:focus,
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {border: 0;-webkit-text-fill-color: var(--clr-black);-webkit-box-shadow: inset 0 0 0 0.0625rem var(--clr-black),inset 0 0 6.25rem var(--clr-white);-webkit-transition: background-color 5000s ease-in-out 0s;transition: background-color 5000s ease-in-out 0s;}
/*--------------------*/
/*  Checkbox & Radio  */
/*--------------------*/
.ch-box-wrap {--ch-size: var(--text);--lh-size: calc(var(--ch-size) * 1.2);gap: var(--ch-size) clamp(1.25rem, -0.8553rem + 4.386vw, 3.75rem);display: flex;flex-wrap: wrap;}
.ch-box {cursor: pointer;gap: 0.625rem;display: inline-flex;font-size: var(--ch-size);line-height: var(--lh-size);text-align: left;}
.ch-box a {display: inline;color: var(--clr-title);text-decoration: underline;text-decoration-color: currentColor;}
.ch-box > * {vertical-align: middle;color: var(--clr-text);}
.ch-box input[type=radio],
.ch-box input[type=checkbox] {position: relative;cursor: pointer;transition: var(--transition-1);display: inline-block;width: var(--lh-size);height: var(--lh-size);flex-shrink: 0;color: var(--clr-text);border: 0.0625rem solid currentColor;}
.ch-box input[type=radio]::before,
.ch-box input[type=checkbox]::before {content: "";position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%) scale(0);transition: var(--transition-1);display: block;width: 100%;height: 100%;background-size: 85%;background-position: center;background-repeat: no-repeat;background-image: url("data:image/svg+xml,%3Csvg width='14' height='10' viewBox='0 0 14 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.1988 1.1001L5.04883 8.2501L1.79883 5.0001' stroke='%23000' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");}
.ch-box input[type=radio]:checked,
.ch-box input[type=checkbox]:checked {border-color: var(--clr-white);background-color: var(--clr-white);}
.ch-box input[type=radio]:checked::before,
.ch-box input[type=checkbox]:checked::before {transform: translate(-50%, -50%) scale(1);}
.ch-box input[type=radio] {border-radius: 100%;}
.ch-box input[type=radio]::before {border-radius: inherit;box-sizing: border-box;background-image: none;background-color: var(--clr-title);width: 65%;height: 65%;}
.ch-box input[type=radio]:checked {background-color: transparent;}
@media (min-width: 1200px) {
.ch-box a:not(.btn):hover {text-decoration-color: transparent;}
}
@media (max-width: 575px) {
.ch-box-wrap {align-items: flex-start;flex-direction: column;}
}